#!/usr/bin/env ruby -v
require 'rubygems'
require 'rubyluabridge'
require 'pp'

class CombatLogLine
  def initialize(data)
    @data = data
  end
end

def covert_logentry(table)
  rhash = Hash.new
  if table.nil? 
    return rhash
  end
  table.each_key do |key|
    rhash[key.to_sym] = []
    table[key].each_ivalue do |l|
      rhash[key.to_sym].push(l)
    end
  end
  return rhash
end
lua = Lua::State.new
data = IO.read("data.lua")
lua.eval(data)

db = lua['RaidWatch2LoggerDB']['profiles']['Default']['Log']

## We need to process each Log
logs= {}
h = db.to_hash
h.each_key do |entry|
  if entry.eql?("ignoredEvents") 
    next
  end
  logentry = covert_logentry(h[entry])
  logs[entry] = logentry
end

# We now have converted logs, we can analyze
